## python-babelfont 3.0.6~ds

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
PYTHON=python3
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := $(PYTHON) -c "$$BROWSER_PYSCRIPT"

help:
	@$(PYTHON) -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

lint: ## check style with flake8
	flake8 babelfont tests

test: ## run tests quickly with the default Python
	$(PYTHON) setup.py test

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source babelfont setup.py test
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: dist ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	$(PYTHON) setup.py sdist
	$(PYTHON) setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	$(PYTHON) setup.py install

=== debian/changelog ===
python-babelfont (3.0.6~ds-3) unstable; urgency=medium

  * Update uploader/copyright
  * Update Standards-Version to 4.7.2 (no changes)
  * Update short and long description
  * Mark prevent script patch as not needing forwarding
  * Ignore long line in source lintian tag
  * Put upstream bug in invalid escape sequence patch

 -- Agathe Porte <gagath@debian.org>  Wed, 09 Apr 2025 12:30:47 +0200

python-babelfont (3.0.6~ds-2) unstable; urgency=medium

  * Team upload
  * Correct Vcs fields

 -- Bastian Germann <bage@debian.org>  Tue, 01 Apr 2025 00:15:19 +0200

python-babelfont (3.0.6~ds-1) unstable; urgency=low

  * Team upload
  * Initial release; Closes: #999849

 -- Bastian Germann <bage@debian.org>  Wed, 26 Mar 2025 15:09:20 +0100

=== debian/control ===
Source: python-babelfont
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Agathe Porte <gagath@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-fonttools <!nocheck>,
 python3-orjson <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.7.2
Homepage: https://github.com/simoncozens/babelfont
Vcs-Git: https://salsa.debian.org/python-team/packages/python-babelfont.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-babelfont
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-babelfont
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Load, examine and save fonts in a variety of formats
 Babelfont is a utility for loading fonts and examining fonts in a variety
 of formats. It can also be used to write fonts in some of these formats,
 making it possible to convert between font formats.
 .
 Babelfont converts all of the font formats into a intermediary
 set of objects. This allows the developer to examine any font (single master
 or variable), without needing to worry about the details of each font format.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=babelfont
export PYBUILD_TEST_ARGS=tests/test_*fea*.py tests/test_dataclasses.py
export SETUPTOOLS_SCM_PRETEND_VERSION=$(firstword $(subst ~, ,$(shell dpkg-parsechangelog -S version)))

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=repacksuffix=~ds,dversionmangle=auto \
https://github.com/simoncozens/babelfont/tags (?:.*?/)?v(\d[\d.]*)\.tar\.gz
